GeminiGemini
SandboxGet API key
  • Crypto Trading
  • Prediction Markets
Changelog
Gemini Crypto Exchange LogoGemini Crypto Exchange Logo

© 2026 Gemini Space Station, Inc.

REST APIs
    Orders
    Market Data
    Derivatives
      Get Open PositionsGet Account MarginGet Funding AmountGet Funding Amount Report FileList Funding PaymentsGet Funding Payment Report FileGet Funding Payment Report JSONGet Risk Stats
    Margin Trading
    Staking
    Clearing
    Instant Orders
    Fund Management
WebSocket
    AuthenticationMessage Format
    Streams
      Book TickerL2 Partial DepthL2 Differential DepthTrade StreamOrder EventsBalance Updates
    Playground
      Overviewconninfopingtimesubscribeunsubscribelist_subscriptionsdepthorder.placeorder.cancelorder.cancel_allorder.cancel_session
Agentic
FIX

Get Account Margin

TradingDerivativesGet Account Margin

Get Account Margin

POSThttps://api.gemini.com/v1/margin

Retrieves perpetuals margin account information including collateral, leverage, buying/selling power, and liquidation risk for a given perpetuals symbol.

POSTv1/margin
curl --request POST \
  --url https://api.gemini.com/v1/margin \
  --header 'Content-Type: application/json' \
  --header 'X-GEMINI-APIKEY: <string>' \
  --header 'X-GEMINI-PAYLOAD: <string>' \
  --header 'X-GEMINI-SIGNATURE: <string>' \
  --data '
{
  "request": "/v1/margin",
  "nonce": "<nonce>",
  "symbol": "BTC-GUSD-PERP"
}
'

Roles

The API key you use to access this endpoint must have the Trader or Auditor role assigned. See Roles for more information.

The OAuth scope must have orders:read assigned to access this endpoint. See OAuth Scopes for more information.

Headers

X-GEMINI-APIKEYstring·required
Your API key
X-GEMINI-SIGNATUREstring·required
HEX-encoded HMAC-SHA384 of payload signed with API secret
X-GEMINI-PAYLOADstring·required
Base64-encoded JSON payload
Content-Typestring
Default: text/plain
Content-Lengthstring
Default: 0
Cache-Controlstring
Default: no-cache

Request Body

requeststring·required
The API endpoint pathExample: /v1/margin
noncestring | integer·required
Gemini strongly recommends using milliseconds instead of seconds for timestamps.
Timestamp format
Example
Supported request type
string (seconds)
1495127793
POST only
string (milliseconds)
1495127793000
POST only
whole number (seconds)
1495127793
GET, POST
whole number (milliseconds)
1495127793000
GET, POST
Example: 1495127793000
accountstring
Required for Master API keys as described in [Private API Invocation](/authentication/api-key#private-api-invocation). The name of the account within the subaccount group. Specifies the account on which you intend to place the order. Only available for exchange accounts.Example: primary
symbolstring·required
Trading pair symbol. See [symbols and minimums](/market-data/symbols-and-minimums)
Example request body
{
  "request": "/v1/margin",
  "nonce": "<nonce>",
  "symbol": "BTC-GUSD-PERP"
}

Responses

JSON object

margin_assets_valuestring (decimal)
The $ equivalent value of all the assets available in the current trading account that can contribute to funding a derivatives position.
initial_marginstring (decimal)
The $ amount that is being required by the accounts current positions and open orders.
available_marginstring (decimal)
The difference between the `margin_assets_value` and `initial_margin`.
margin_maintenance_limitstring (decimal)
The minimum amount of `margin_assets_value` required before the account is moved to liquidation status.
leveragestring (decimal)
The ratio of Notional Value to Margin Assets Value.
notional_valuestring (decimal)
The $ value of the current position.
estimated_liquidation_pricestring (decimal)
The estimated price for the asset at which liquidation would occur.
initial_margin_positionsstring (decimal)
The contribution to `initial_margin` from open positions.
reserved_marginstring (decimal)
The contribution to `initial_margin` from open orders.
reserved_margin_buysstring (decimal)
The contribution to `initial_margin` from open BUY orders.
reserved_margin_sellsstring (decimal)
The contribution to `initial_margin` from open SELL orders.
buying_powerstring (decimal)
The amount of that product the account could purchase based on current `initial_margin` and `margin_assets_value`.
selling_powerstring (decimal)
The amount of that product the account could sell based on current `initial_margin` and `margin_assets_value`.
Example Responses
{
  "margin_assets_value": "9800",
  "initial_margin": "6000",
  "available_margin": "3800",
  "margin_maintenance_limit": "5800",
  "leverage": "12.34567",
  "notional_value": "1300",
  "estimated_liquidation_price": "1300",
  "initial_margin_positions": "3500",
  "reserved_margin": "2500",
  "reserved_margin_buys": "1800",
  "reserved_margin_sells": "700",
  "buying_power": "0.19",
  "selling_power": "0.19"
}
PreviousGet Open PositionsNextGet Funding Amount
Last modified on May 5, 2026